From 06a257263f4e49a928a2a92ab050063cf4f6a0e1 Mon Sep 17 00:00:00 2001
From: AnusuyaKumarasamy <anusuya.kumarasamy@multicorewareinc.com>
Date: Fri, 27 Sep 2024 10:21:39 +0530
Subject: [PATCH 5/5] Fix mcstf crash when using multiple frame threads

---
 doc/reST/cli.rst        | 2 ++
 source/common/param.cpp | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/doc/reST/cli.rst b/doc/reST/cli.rst
index a4907f7d2..619533081 100755
--- a/doc/reST/cli.rst
+++ b/doc/reST/cli.rst
@@ -1324,6 +1324,8 @@ Temporal / motion search options
 	combined by using adaptive filtering to produce a final noise-reduced picture.
 	Default: disabled
 
+	Note : MCSTF should be enabled only with frame threads 1
+
 Spatial/intra options
 =====================
 
diff --git a/source/common/param.cpp b/source/common/param.cpp
index d55893236..892bb6a48 100755
--- a/source/common/param.cpp
+++ b/source/common/param.cpp
@@ -1937,7 +1937,7 @@ int x265_check_params(x265_param* param)
         param->bSingleSeiNal = 0;
         x265_log(param, X265_LOG_WARNING, "None of the SEI messages are enabled. Disabling Single SEI NAL\n");
     }
-    if (param->bEnableTemporalFilter && (param->frameNumThreads > 1))
+    if (param->bEnableTemporalFilter && (param->frameNumThreads != 1))
     {
         param->bEnableTemporalFilter = 0;
         x265_log(param, X265_LOG_WARNING, "MCSTF can be enabled with frame thread = 1 only. Disabling MCSTF\n");
-- 
2.36.0.windows.1

